<?php 

/*

Plugin Name: Pages Metabox

Plugin URI: http://www.johanronstrom.se/projekt/programming/internal-links-post-and-pages-metabox/
Description: Adds a metabos in the create post and page area that lists all pages, to make it easier to copy page adresses for linking.

Author: Johan Ronstrm

Version: 0.1

Author URI: http://www.johanronstrom.se/

Copyright Notice



Share as you want. Give credit as you like.

*/



function pages_metabox(){ 



?>



<style type="text/css">



#pagesmetabox ul {

	list-style-type: none;

	list-style-position: inside;

	padding-left: 1em;

	font-size: 9px;

}



#pagesmetabox a {

	text-decoration: none;

}



</style>



<?php



	// add the [edit]-links

$PaM_page_list = wp_list_pages('title_li=&echo=0');

$PaM_page_list = preg_replace('/<li class="page_item page-item-(\d+)[^"\r\n]*\">/e',

	                           "'<li class=\"page_item page-item-\\1\"><a href=\"'.get_bloginfo('siteurl').'/wp-admin/page.php?action=edit&post=\\1\">[e]</a> - '", $PaM_page_list);


echo '<ul>';

echo $PaM_page_list;	// Without the [edit]-links just use: wp_list_pages('title_li=');

echo '</ul>';



}



function add_pages_metaboxes(){

	add_meta_box('pagesmetabox', 'Pages', 'pages_metabox', 'post', 'normal', 'high');

	add_meta_box('pagesmetabox', 'Pages', 'pages_metabox', 'page', 'normal', 'high');

}



add_action('admin_menu', 'add_pages_metaboxes');





?>